/**
 * Menu control
 **/
(function($){

    $(document).ready(function() 
    {
        //Button On Off
        if ( $( '.ipbe-btn-onoff' ).length > 0 ) {
            $( '.ipbe-btn-onoff' ).ipbe_btn_onoff();
        }
        
        //Select/upload image
        if ( $( '.ipbe-upload-image' ).length > 0 ) {
            $( '.ipbe-upload-image' ).ipbe_select_image();
        }
        
        //Toggle
        if ( $( '.ipbe-toggle' ).length > 0 ) {
            $( '.ipbe-toggle' ).ipbe_toggle();
        }
        
        //Fancy Options
        if ( $( '.ipbe-fancy-option' ).length > 0 ) {
            $( '.ipbe-fancy-option' ).ipbe_fancy_option();
        }
        
        //Fade Menu
        if ( $( '.ipbe-fade-menu' ).length > 0 ) {
            $( '.ipbe-fade-menu' ).ipbe_fade_menu();
        }
        
        //Social option
        if ( $( '.ipbe-social-option' ).length > 0 ) 
        {
            $( '.ipbe-social-active a' ).ipbe_button_active();
            $( '#input-share-button-icon' ).ipbe_select_preview({
                cont_preview_selector:  '.ipbe-icon-preview',
                item_preview_class:     'ipbe-icon',
                root_image:             ipprof_img_url + 'icon/',
                preview_data:
                [
                    'facebook',
                    'twitter',
                    'googleplus',
                    'pinterest'
                ]
            });
        }
        
        //Tab Menu
        $( '.ipbe-tab' ).ipbe_tab({
            after_click: function( idtab, root ){
                var content = $( '#'+idtab );
                var title   = $( '.ipbe-title-content', content ).clone().removeClass( 'ipbe-hide' );
                $( '.ipbe-tab-title', root ).html( title );
            },
            tab_init: function( idtab, root ) {
                var content = $( '#'+idtab );
                var title   = $( '.ipbe-title-content', content ).clone().removeClass( 'ipbe-hide' );
                $( '.ipbe-tab-title', root ).html( title );
            }
        });
        
        //Color picker
        if ( $('.ipprof-color-picker').length > 0 ) {
            $('.ipprof-color-picker').each( function() {
                var picker = $(this);
                picker.wpColorPicker({
                    change: function(event, ui){
                        picker.val( ui.color.toString() );
                    }
                });
            });
        }
        
        /*
         * Add profit page handler
         */
        var form_add = new ip_form( '#ipprof-form-add' );
        form_add.is_add = true;
        //Additional data
        form_add.additional_data = function( data )
        {
            if ( this.is_add ) {
                data += '&isadd=1';
            }
            return data;
        };
        form_add.init();
        
        /*
         * Update profit page handler
         */
        var form_edit = new ip_form( '#ipprof-form-update' );
        form_edit.init();
        
        /*
         * Delete profit page
         */
        var ipprof_delete_url = ajaxurl+'?doajax=1&ipprof=1&action=ipprof_delete';
        $( '.ipprof-item-delete' ).ipbe_list_delete( ipprof_delete_url );
        
        
        /*
         * Delete offer item
         */
        var ipprof_delete_offer_url = ajaxurl+'?doajax=1&ipprof=1&action=ipprof_offer_delete';
        $( '.ipprof-offer-delete' ).ipbe_list_delete( ipprof_delete_offer_url );
        
        /*
         * Add offer button
         */
        $( '#ipprof-add-offer' ).ip_modal();
        
        /*
         * Add offer
         */
        var form_addoff = new ip_form( '#ipprof-add-offer-form' );
        form_addoff.is_add = true;
        //Ajax success
        form_addoff.ajax_success = function( result, $this )
        {
            $( '.ui-message', $this.form ).remove();
            ip_ui.loader.hide();
            
            //Show message
            if ( result.status == 1 ) {
                //Hide modal
                var popup = $( '#ipprof-modal-add-offer' );
                ip_ui.modal.popup_hide( popup );
                
                //Insert offer
                var offer = $( result.offer );
                offer.height( 0 ).css( 'overflow', 'hidden' );
                //Delete event
                offer.find( '.ipprof-offer-delete' ).ipbe_list_delete( ipprof_delete_offer_url );
                //Edit event
                var editbtn = offer.find( '.ipprof-offer-edit' );
                if ( editbtn ) {
                    ipprof_offer_edit( editbtn );
                }
                
                $( '#ipprof-manage-offers .ipbe-the-list' ).prepend( offer );
                offer.animate({height: '68px'}, 400);
            
                ip_ui.message.modal( result.message, 'alert-success' );
            } else {
                ip_ui.message.modal( result.message, 'alert-danger' );
            }
            $this.form[0].reset();
        };
        //Additional data
        form_addoff.additional_data = function( data )
        {
            if ( this.is_add ) {
                data += '&isadd=1';
            }
            var profid = $( '#ipprof-value-profitid' ).val();
            data += '&profit='+profid;
            
            return data;
        };
        form_addoff.init();
        
        /*
         * Edit offer
         */
        if ( $('.ipprof-offer-edit').length > 0 ) {
            ipprof_offer_edit( $('.ipprof-offer-edit') );
        }
        function ipprof_offer_edit( button ) 
        {
            button.ip_modal_ajax({
                modalSelector: '#ipprof-modal-edit-offer',
                mainSelector: '.ipprof-edit-modal-main',
                loaderUrl: ipprof_img_url + 'loading.gif',
                getAjaxUrl: function( button )
                {
                    var url = ajaxurl + '?doajax=1&ipprof=1&action=ipprof_offer_get_edit';
                    var id  = button.data( 'id' );
                    url += '&id=' + id;
                    
                    return url;
                },
                ajaxSuccess: function( result, button, popup, main )
                {
                    if ( result.length > 10 ) 
                    {
                        var content = $( result );
                        
                        //Cancel event
                        var cancelbtn = content.find( '.ipbe-modal-cancel' );
                        if ( cancelbtn ) {
                            cancelbtn.click( function(){
                                ip_ui.modal.popup_hide( popup );
                            });
                        }
                        main.html( content );
                        
                        //On Off event
                        content.find( '.ipbe-upload-image' ).ipbe_select_image();
                        content.find( '.ipbe-btn-onoff' ).ipbe_btn_onoff();
                        
                        //Submit event
                        var form_editoff = new ip_form( '#ipprof-edit-offer-form' );
                        form_editoff.is_add = false;
                        //Ajax success
                        form_editoff.ajax_success = function( result, $this )
                        {
                            $( '.ui-message', $this.form ).remove();
                            ip_ui.loader.hide();
                            
                            //Show message
                            if ( result.status == 1 ) {
                                //Change data list
                                var item = button.parents( '.ipbe-list-item' );
                                $( '.ipbe-item-title a', item ).text( result.title );
                                $( '.ipprof-offer-label', item ).html( result.label );
                                //Hide modal
                                var popup = $( '#ipprof-modal-edit-offer' );
                                ip_ui.modal.popup_hide( popup );
                                ip_ui.message.modal( result.message, 'alert-success' );
                            } else {
                                ip_ui.message.modal( result.message, 'alert-danger' );
                            }
                        };
                        //Additional data
                        form_editoff.additional_data = function( data )
                        {
                            var profid = $( '#ipprof-value-profitid' ).val();
                            data += '&profit='+profid;
                            
                            return data;
                        };
                        form_editoff.init();
                    } 
                    else
                    {
                        ip_ui.modal.popup_hide( popup );
                    }
                }
            });
        }
        
        /*
         * Sort offer
         */
        if ( $( '#ipprof-manage-offers' ).length > 0 ) {
            $( '#ipprof-manage-offers .ipbe-the-list' ).sortable({
                update: function( event, ui ) 
                {
                    ipprof_update_sort();
                },
                items: '.ipbe-list-item'
            });
        }
        function ipprof_update_sort() 
        {
            var list = '';
            var root = $( '#ipprof-manage-offers .ipbe-the-list' );
            $( '.ipbe-list-item', root ).each( function()
            {
                var id = $(this).attr( 'id' ).replace( 'ipprof-item-', '' );
                list += id+',';
            });
            if ( list != '' ) 
            {
                var profid = $( '#ipprof-value-profitid' ).val();
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipprof=1&action=ipprof_offer_sort',
                    type: "POST",
                    dataType: "json",
                    data: 'list='+list+'&profit='+profid,
                    success: function (result) {}
                });
            }
        }
        
        /*
         * Save settings
         */
        var form_setting = new ip_form( '#ipprof-form-setting' );
        form_setting.init();
        
        /*
         * Input name
         */
        $( '#ipprof-section-general #input-name' ).focusout( function()
        {
            var name   = $(this).val();
            var pageid = $( '#iptee-value-profitid' ).val();
            
            $.ajax({
                url: ajaxurl+'?doajax=1&ipprof=1&action=ipprof_get_slug',
                type: "POST",
                dataType: "json",
                data: 'name='+name+'&pageid='+pageid,
                success: function (result) 
                {
                    if ( result.status == '1' ) {
                        $( '#ipprof-section-general #input-permalink' ).val( result.slug );
                    }
                }
            });
        });
        
        /*
         * Statistic
         */
        if ( $( '.ipbe-admin-stat' ).length > 0 ) {
            $( '.ipbe-admin-stat' ).ipbe_stats({
                chart_id: 'ipprof-chart-div',
                ajax_url: ajaxurl+'?doajax=1&ipprof=1&action=ipprof_getchart'
            });
        }
    });
    
})(jQuery);