<?php
$st    = $this->setting;
$title = $this->pagetitle;
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $title; ?></title>
    
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
    <meta name="description" content="<?php echo stripslashes( $st->getSetting( 'meta_description', '' )); ?>">
    <meta name="keywords" content="<?php echo stripslashes( $st->getSetting( 'meta_keywords', '' )); ?>">
    <meta property="og:title" content="<?php echo $title; ?>">
    <meta property="og:description" content="<?php echo stripslashes( $st->getSetting( 'meta_description', '' )); ?>">
    <meta property="og:type" content="article">
    <meta property="og:image" content="<?php echo $st->getSetting( 'ogimage', '' ); ?>">
    <meta property="og:url" content="<?php echo $this->pageurl; ?>">
    
    <!-- Icon -->
    <?php
    if ( $iconurl = $st->getSetting( 'favicon' ) ) :
    ?>
        <link rel="shortcut icon" href="<?php echo $iconurl; ?>" type="image/x-icon">
    <?php
    endif;
    ?>
    
    <!-- Css -->
    <link href="<?php echo $this->get_google_font(); ?>" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="<?php echo $this->cssurl; ?>style.css" type="text/css" media="all" />
    <style>
        <?php echo $st->getSetting( 'css_code', '' ); ?>
    </style>
    
    <!-- JQuery -->
    <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
    <script>
        var ajax_url = "<?php echo admin_url( 'admin-ajax.php' ); ?>";
        var root_url = "<?php echo IPPROF_BASE_URL; ?>";
        var page_id  = '<?php echo $this->page->ID; ?>';
    </script>
    <script>
        <?php echo $st->getSetting( 'head_js_code', '' ); ?>
    </script>
</head>